## repmgr 4.2.0

=== debian/changelog ===
repmgr (4.2.0-2.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using old-style -dbg packages in debian/control.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sun, 28 Oct 2018 10:13:59 +0100

repmgr (4.2.0-2) unstable; urgency=medium

  * Add postgresql-11-repmgr as alternative in the dependencies
    (Closes: #911994)

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 28 Oct 2018 10:13:59 +0100

repmgr (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/rules: Stop creating .h files from .h.in to fix VPATH builds.
    (fixed upstram)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Oct 2018 00:47:17 +0200

repmgr (4.0.6-2) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * debian/rules: Create .h files from .h.in to fix VPATH builds.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Oct 2018 15:18:14 +0200

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 krb5-multidev,
 zlib1g-dev
Standards-Version: 4.1.1
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 postgresql-11-repmgr |
 postgresql-10-repmgr |
 postgresql-9.6-repmgr |
 postgresql-9.5-repmgr |
 postgresql-9.4-repmgr |
 postgresql-9.3-repmgr |
 postgresql-9.2-repmgr |
 postgresql-9.1-repmgr |
 postgresql-9.0-repmgr,
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: repmgr-dbg
Section: debug
Architecture: all
Depends:
 postgresql-10-repmgr-dbg |
 postgresql-9.6-repmgr-dbg |
 postgresql-9.5-repmgr-dbg |
 postgresql-9.4-repmgr-dbg |
 postgresql-9.3-repmgr-dbg |
 postgresql-9.2-repmgr-dbg |
 postgresql-9.1-repmgr-dbg |
 postgresql-9.0-repmgr-dbg,
 ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: postgresql-9.3-repmgr
Architecture: any
Depends: postgresql-9.3, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.3
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 9.3.

Package: postgresql-9.3-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.3-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.3
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.3.

Package: postgresql-9.4-repmgr
Architecture: any
Depends: postgresql-9.4, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.4
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 9.4.

Package: postgresql-9.4-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.4-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.4
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.4.

Package: postgresql-9.5-repmgr
Architecture: any
Depends: postgresql-9.5, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.5
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 9.5.

Package: postgresql-9.5-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.5-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.5
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.5.

Package: postgresql-9.6-repmgr
Architecture: any
Depends: postgresql-9.6, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.6
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 9.6.

Package: postgresql-9.6-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.6-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.6
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.6.

Package: postgresql-10-repmgr
Architecture: any
Depends: postgresql-10, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 10
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 10.

Package: postgresql-10-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-10-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 10
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 10.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_configure:
	+pg_buildext configure build-%v "--libdir=/usr/lib/postgresql/%v/lib --datadir=/usr/share/postgresql-%v-repmgr"

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-repmgr

override_dh_installinit:
	dh_installinit --name=repmgrd

override_dh_auto_clean:
	+pg_buildext clean build-%v

override_dh_strip:
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
	done

%:
	dh $@

## repmgr 4.4

=== doc/Makefile ===
# Make "html" the default target, since that is what most people tend
# to want to use.
html:

all: html

subdir = doc
repmgr_top_builddir = ..
include $(repmgr_top_builddir)/Makefile.global

XMLINCLUDE = --path .

ifndef XMLLINT
XMLLINT = $(missing) xmllint
endif

ifndef XSLTPROC
XSLTPROC = $(missing) xsltproc
endif

ifndef FOP
FOP = $(missing) fop
endif

override XSLTPROCFLAGS += --stringparam repmgr.version '$(REPMGR_VERSION)'

GENERATED_XML = version.xml
ALLXML := $(wildcard $(srcdir)/*.xml) $(GENERATED_XML)


version.xml: $(repmgr_top_builddir)/repmgr_version.h
	{ \
	  echo "<!ENTITY repmgrversion \"$(REPMGR_VERSION)\">"; \
	} > $@

##
## HTML
##


html: html-stamp

html-stamp: stylesheet.xsl repmgr.xml $(ALLXML)
	$(XMLLINT) $(XMLINCLUDE) --noout --valid $(word 2,$^)
	$(XSLTPROC) $(XMLINCLUDE) $(XSLTPROCFLAGS) $(XSLTPROC_HTML_FLAGS) $(wordlist 1,2,$^)
	cp $(srcdir)/stylesheet.css  $(srcdir)/website-docs.css html/
	touch $@

# single-page HTML
repmgr.html: stylesheet-html-nochunk.xsl repmgr.xml $(ALLXML)
	$(XMLLINT) $(XMLINCLUDE) --noout --valid $(word 2,$^)
	$(XSLTPROC) $(XMLINCLUDE) $(XSLTPROCFLAGS) $(XSLTPROC_HTML_FLAGS) -o $@ $(wordlist 1,2,$^)


zip: html
	cp -r html repmgr-docs-$(REPMGR_VERSION)
	zip -r repmgr-docs-$(REPMGR_VERSION).zip repmgr-docs-$(REPMGR_VERSION)
	rm -rf repmgr-docs-$(REPMGR_VERSION)

##
## Print
##

repmgr.pdf:
	$(error Invalid target; use repmgr-A4.pdf or repmgr-US.pdf as targets)

# Standard paper size

repmgr-A4.fo: stylesheet-fo.xsl repmgr.xml $(ALLXML)
	$(XMLLINT) $(XMLINCLUDE) --noout --valid $(word 2,$^)
	$(XSLTPROC) $(XMLINCLUDE) $(XSLTPROCFLAGS) --stringparam paper.type A4 -o $@ $(wordlist 1,2,$^)

repmgr-A4.pdf: repmgr-A4.fo
	$(FOP) -fo $< -pdf $@

# North American paper size

repmgr-US.fo: stylesheet-fo.xsl repmgr.xml $(ALLXML)
	$(XMLLINT) $(XMLINCLUDE) --noout --valid $(word 2,$^)
	$(XSLTPROC) $(XMLINCLUDE) $(XSLTPROCFLAGS) --stringparam paper.type USletter -o $@ $(wordlist 1,2,$^)

repmgr-US.pdf: repmgr-US.fo
	$(FOP) -fo $< -pdf $@


install: html
	@$(MKDIR_P) $(DESTDIR)$(docdir)/$(docmoduledir)/repmgr
	@$(INSTALL_DATA) $(wildcard html/*.html) $(wildcard html/*.css) $(DESTDIR)$(docdir)/$(docmoduledir)/repmgr
	@echo Installed docs to $(DESTDIR)$(docdir)/$(docmoduledir)/repmgr

clean:
	rm -f html-stamp
	rm -f HTML.index $(GENERATED_XML)
	rm -f repmgr.html
	rm -f repmgr-A4.pdf
	rm -f repmgr-US.pdf

maintainer-clean:
	rm -rf html

.PHONY: html

=== debian/changelog ===
repmgr (4.4-1) unstable; urgency=medium

  * New upstream version 4.4

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 01 Jul 2019 11:50:50 +0200

repmgr (4.3-1) unstable; urgency=medium

  * New upstream version 4.3

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 01 Jul 2019 11:38:20 +0200

## repmgr 5.0.0

=== doc/Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 version.xml: $(repmgr_top_builddir)/repmgr_version.h
 	{ \
 	  echo "<!ENTITY repmgrversion \"$(REPMGR_VERSION)\">"; \
+	  echo "<!ENTITY releasedate \"$(REPMGR_RELEASE_DATE)\">"; \
 	} > $@
 
 ##

=== debian/changelog ===
repmgr (5.0.0-4) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:28:26 +0100

repmgr (5.0.0-3) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:19:44 +0100

repmgr (5.0.0-2) unstable; urgency=medium

  * Source-only upload

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 21 Oct 2019 09:57:52 +0200

repmgr (5.0.0-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/tests: Drop "build-needed", do the minimal steps needed to
    initialize PGXS manually.

  [ Marco Nenciarini ]
  * New upstream version 5.0.0
  * Add flex build depend
  * Add postgresql-12-repmgr alternative to repmgr

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 15 Oct 2019 12:05:22 +0200

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 krb5-multidev,
 zlib1g-dev,
 flex
Standards-Version: 4.1.1
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 postgresql-12-repmgr |
 postgresql-11-repmgr |
 postgresql-10-repmgr |
 postgresql-9.6-repmgr |
 postgresql-9.5-repmgr |
 postgresql-9.4-repmgr |
 postgresql-9.3-repmgr |
 postgresql-9.2-repmgr |
 postgresql-9.1-repmgr |
 postgresql-9.0-repmgr,
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-12-repmgr
Architecture: any
Depends: postgresql-12, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 12
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 12.

#dbg#Package: postgresql-12-repmgr-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Depends: postgresql-12-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#dbg#Replaces: repmgr-dbg (<< 3.0.1-1)
#dbg#Breaks: repmgr-dbg (<< 3.0.1-1)
#dbg#Description: debug symbols for repmgr for PostgreSQL 12
#dbg# Since version 9.0, PostgreSQL allow you to have replicated hot
#dbg# standby servers which you can query and/or use for high availability.
#dbg# While the main components of the feature are included with
#dbg# PostgreSQL, the user is expected to manage the high availability
#dbg# parts.
#dbg# .
#dbg# repmgr allows you to monitor and manage your replicated PostgreSQL
#dbg# databases as a single cluster.
#dbg# .
#dbg# This package contains debug symbols for repmgr for PostgreSQL 12.
#dbg#
#dbg#Package: repmgr-dbg
#dbg#Section: debug
#dbg#Architecture: all
#dbg#Depends:
#dbg# postgresql-12-repmgr-dbg |
#dbg# postgresql-11-repmgr-dbg |
#dbg# postgresql-10-repmgr-dbg |
#dbg# postgresql-9.6-repmgr-dbg |
#dbg# postgresql-9.5-repmgr-dbg |
#dbg# postgresql-9.4-repmgr-dbg |
#dbg# postgresql-9.3-repmgr-dbg |
#dbg# postgresql-9.2-repmgr-dbg |
#dbg# postgresql-9.1-repmgr-dbg |
#dbg# postgresql-9.0-repmgr-dbg,
#dbg# ${misc:Depends}
#dbg#Description: transitional dummy package
#dbg# This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,11 @@
 override_dh_auto_clean:
 	+pg_buildext clean build-%v
 
-override_dh_strip:
-	set -e ; \
-	for v in `pg_buildext supported-versions .` ; do \
-	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
-	done
+#dbg#override_dh_strip:
+#dbg#	set -e ; \
+#dbg#	for v in `pg_buildext supported-versions .` ; do \
+#dbg#	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
+#dbg#	done
 
 %:
 	dh $@

## repmgr 5.2.0

=== doc/Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 	rm -f repmgr.html
 	rm -f repmgr-A4.pdf
 	rm -f repmgr-US.pdf
+	rm -f html/*
 
 maintainer-clean:
 	rm -rf html

=== debian/changelog ===
repmgr (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * repmgr.deb: Generate list of modules to depend on from list of supported
    versions.
  * B-D on libedit-dev again as older server packages are still using it.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Nov 2020 22:06:40 +0100

repmgr (5.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Marco Nenciarini ]
  * New upstream version 5.2.0
  * PostgreSQL 13 support
  * Follow postgresql-13 build dependencies changes
  * Set debhelper compatibility level to 10

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 09 Nov 2020 11:11:40 +0000

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 10),
 postgresql-server-dev-all (>= 153~),
 libedit-dev,
 libreadline-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 libkrb5-dev,
 zlib1g-dev,
 flex
Standards-Version: 4.1.1
Rules-Requires-Root: no
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 ${postgresql:Depends},
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-13-repmgr
Architecture: any
Depends: postgresql-13, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 13
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 13.

#dbg#Package: postgresql-13-repmgr-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Depends: postgresql-13-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#dbg#Replaces: repmgr-dbg (<< 3.0.1-1)
#dbg#Breaks: repmgr-dbg (<< 3.0.1-1)
#dbg#Description: debug symbols for repmgr for PostgreSQL 13
#dbg# Since version 9.0, PostgreSQL allow you to have replicated hot
#dbg# standby servers which you can query and/or use for high availability.
#dbg# While the main components of the feature are included with
#dbg# PostgreSQL, the user is expected to manage the high availability
#dbg# parts.
#dbg# .
#dbg# repmgr allows you to monitor and manage your replicated PostgreSQL
#dbg# databases as a single cluster.
#dbg# .
#dbg# This package contains debug symbols for repmgr for PostgreSQL 13.

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,9 @@
 #dbg#	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
 #dbg#	done
 
+PGVERSIONS := $(shell pg_buildext supported-versions | tac)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vpostgresql:Depends="$(foreach PGVERSION,$(PGVERSIONS),postgresql-$(PGVERSION)-repmgr |)"
+
 %:
 	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/((?i)alpha|beta|rc)/~\L$1\E/,filenamemangle=s/(repmgr-.+?)((?i)alpha|beta|rc)/$1~\L$2\E/,pgpsigurlmangle=s/$/.asc/" \
https://www.repmgr.org/download/ repmgr-(.+)\.tar\.gz

## repmgr 5.3.0

=== debian/changelog ===
repmgr (5.3.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add libedit-dev dependency

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 12 Nov 2021 10:56:51 +0100

repmgr (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.0.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Nov 2021 10:56:51 +0100

repmgr (5.2.1-3) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 12:34:59 +0100

repmgr (5.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:01:45 +0200

repmgr (5.2.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Drop obsolete #dbg# code.

  [ Marco Nenciarini ]
  * Fix debian/watch by removing unneeded filenamemangle rule
  * New upstream version 5.2.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 23 Aug 2021 16:33:21 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  postgresql-server-dev-all (>= 153~),
  libedit-dev,
  libreadline-dev,
+ libedit-dev,
  libpam-dev,
  libxml2-dev,
  libxslt1-dev,
@@ -50,6 +51,54 @@
  .
  This is a metapackage that depends on the version specific packages.
 
+Package: postgresql-9.6-repmgr
+Architecture: any
+Depends: postgresql-9.6, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 9.6
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 9.6.
+
+Package: postgresql-10-repmgr
+Architecture: any
+Depends: postgresql-10, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 10
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 10.
+
+Package: postgresql-11-repmgr
+Architecture: any
+Depends: postgresql-11, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 11
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 11.
+
+Package: postgresql-12-repmgr
+Architecture: any
+Depends: postgresql-12, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 12
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 12.
+
 Package: postgresql-13-repmgr
 Architecture: any
 Depends: postgresql-13, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -62,20 +111,14 @@
  .
  This package contains repmgr for PostgreSQL 13.
 
-#dbg#Package: postgresql-13-repmgr-dbg
-#dbg#Section: debug
-#dbg#Architecture: any
-#dbg#Depends: postgresql-13-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-#dbg#Replaces: repmgr-dbg (<< 3.0.1-1)
-#dbg#Breaks: repmgr-dbg (<< 3.0.1-1)
-#dbg#Description: debug symbols for repmgr for PostgreSQL 13
-#dbg# Since version 9.0, PostgreSQL allow you to have replicated hot
-#dbg# standby servers which you can query and/or use for high availability.
-#dbg# While the main components of the feature are included with
-#dbg# PostgreSQL, the user is expected to manage the high availability
-#dbg# parts.
-#dbg# .
-#dbg# repmgr allows you to monitor and manage your replicated PostgreSQL
-#dbg# databases as a single cluster.
-#dbg# .
-#dbg# This package contains debug symbols for repmgr for PostgreSQL 13.
+Package: postgresql-14-repmgr
+Architecture: any
+Depends: postgresql-14, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 14
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 14.

## repmgr 5.3.1~20220627.1453-1~1.git1a643cf.pgdg21.10+1

=== debian/changelog ===
repmgr (5.3.1~20220627.1453-1~1.git1a643cf.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add libedit-dev dependency
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 16 Feb 2022 08:20:18 +0000

repmgr (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 16 Feb 2022 08:20:18 +0000

=== debian/control ===
--- 
+++ 
@@ -50,18 +50,6 @@
  perform administrative tasks such as failover or manual switchover operations.
  .
  This is a metapackage that depends on the version specific packages.
-
-Package: postgresql-9.6-repmgr
-Architecture: any
-Depends: postgresql-9.6, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: rsync
-Description: replication manager for PostgreSQL 9.6
- repmgr is an open-source tool suite for managing replication and failover in a
- cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
- capabilities with tools to set up standby servers, monitor replication, and
- perform administrative tasks such as failover or manual switchover operations.
- .
- This package contains repmgr for PostgreSQL 9.6.
 
 Package: postgresql-10-repmgr
 Architecture: any

## repmgr 5.3.1

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 10),
 postgresql-server-dev-all (>= 153~),
 libedit-dev,
 libreadline-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 libkrb5-dev,
 zlib1g-dev,
 flex
Standards-Version: 4.1.1
Rules-Requires-Root: no
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 ${postgresql:Depends},
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-14-repmgr
Architecture: any
Depends: postgresql-14, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 14
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 14.

=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,6 @@
 override_dh_auto_clean:
 	+pg_buildext clean build-%v
 
-#dbg#override_dh_strip:
-#dbg#	set -e ; \
-#dbg#	for v in `pg_buildext supported-versions .` ; do \
-#dbg#	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
-#dbg#	done
-
 PGVERSIONS := $(shell pg_buildext supported-versions | tac)
 override_dh_gencontrol:
 	dh_gencontrol -- -Vpostgresql:Depends="$(foreach PGVERSION,$(PGVERSIONS),postgresql-$(PGVERSION)-repmgr |)"

=== debian/watch ===
version=3
opts="uversionmangle=s/((?i)alpha|beta|rc)/~\L$1\E/,pgpsigurlmangle=s/$/.asc/" \
https://www.repmgr.org/download/ repmgr-(\d.*)\.tar\.gz

## repmgr 5.3.2

=== debian/changelog ===
repmgr (5.3.2-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add libedit-dev dependency

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Aug 2022 14:04:54 +0200

repmgr (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Aug 2022 14:04:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper (>= 10),
- postgresql-server-dev-all (>= 153~),
+ postgresql-server-dev-all,
  libedit-dev,
  libreadline-dev,
+ libedit-dev,
  libpam-dev,
  libxml2-dev,
  libxslt1-dev,
@@ -24,11 +25,9 @@
 Package: repmgr-common
 Architecture: all
 Depends:
- postgresql-common (>= 26),
- lsb-base (>= 3.0-6),
+ postgresql-common,
+ lsb-base,
  ${misc:Depends}
-Replaces: repmgr (<< 3.0.1-1)
-Breaks: repmgr (<< 3.0.1-1)
 Description: replication manager for PostgreSQL common files
  repmgr is an open-source tool suite for managing replication and failover in a
  cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
@@ -50,6 +49,54 @@
  .
  This is a metapackage that depends on the version specific packages.
 
+Package: postgresql-10-repmgr
+Architecture: any
+Depends: postgresql-10, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 10
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 10.
+
+Package: postgresql-11-repmgr
+Architecture: any
+Depends: postgresql-11, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 11
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 11.
+
+Package: postgresql-12-repmgr
+Architecture: any
+Depends: postgresql-12, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 12
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 12.
+
+Package: postgresql-13-repmgr
+Architecture: any
+Depends: postgresql-13, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: rsync
+Description: replication manager for PostgreSQL 13
+ repmgr is an open-source tool suite for managing replication and failover in a
+ cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
+ capabilities with tools to set up standby servers, monitor replication, and
+ perform administrative tasks such as failover or manual switchover operations.
+ .
+ This package contains repmgr for PostgreSQL 13.
+
 Package: postgresql-14-repmgr
 Architecture: any
 Depends: postgresql-14, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}

## repmgr 5.3.3

=== debian/changelog ===
repmgr (5.3.3-2) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Nov 2022 12:04:34 +0100

repmgr (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3.
  * Upload for PostgreSQL 15.
  * DH 13.
  * B-D on liblz4-dev and libzstd-dev.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:03:07 +0200

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-server-dev-all,
 libedit-dev,
 liblz4-dev,
 libreadline-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 libkrb5-dev,
 libzstd-dev,
 zlib1g-dev,
 flex
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common,
 lsb-base,
 ${misc:Depends}
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 ${postgresql:Depends},
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-15-repmgr
Architecture: any
Depends: postgresql-15, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 15
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 15.

## repmgr 5.4.1

=== doc/Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 	rm -f repmgr.html
 	rm -f repmgr-A4.pdf
 	rm -f repmgr-US.pdf
+	rm -f *.fo
 	rm -f html/*
 
 maintainer-clean:

=== debian/changelog ===
repmgr (5.4.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:54:59 +1100

repmgr (5.4.1-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:27 +0000

repmgr (5.4.1-1) unstable; urgency=medium

  * Update watch file to use GitHub releases.
  * New upstream version 5.4.1.
  * Add depends to libcurl4-openssl-dev and libjson-c-dev.
  * Remove usused upstream signature key.
  * Update debian/copyright.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 27 Dec 2023 16:39:39 +0000

repmgr (5.3.3-4) unstable; urgency=medium

  * Team upload.
  * Rename old ${postgresql:Depends} to ${repmgr:Depends}, the former is now
    used by pg_buildext.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 14:49:07 +0200

repmgr (5.3.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use dh --with-pgxs.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: repmgr
 Section: database
 Priority: optional
-Maintainer: Marco Nenciarini <mnencia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  postgresql-server-dev-all,
@@ -16,8 +17,10 @@
  libkrb5-dev,
  libzstd-dev,
  zlib1g-dev,
- flex
-Standards-Version: 4.6.1
+ flex,
+ libcurl4-openssl-dev,
+ libjson-c-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.repmgr.org/
 Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
@@ -40,7 +43,7 @@
 Package: repmgr
 Architecture: all
 Depends:
- ${postgresql:Depends},
+ ${repmgr:Depends},
  ${misc:Depends}
 Description: replication manager for PostgreSQL (metapackage)
  repmgr is an open-source tool suite for managing replication and failover in a
@@ -50,14 +53,14 @@
  .
  This is a metapackage that depends on the version specific packages.
 
-Package: postgresql-15-repmgr
+Package: postgresql-16-repmgr
 Architecture: any
-Depends: postgresql-15, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: rsync
-Description: replication manager for PostgreSQL 15
+Description: replication manager for PostgreSQL 16
  repmgr is an open-source tool suite for managing replication and failover in a
  cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
  capabilities with tools to set up standby servers, monitor replication, and
  perform administrative tasks such as failover or manual switchover operations.
  .
- This package contains repmgr for PostgreSQL 15.
+ This package contains repmgr for PostgreSQL 16.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	+pg_buildext configure build-%v "--libdir=/usr/lib/postgresql/%v/lib --datadir=/usr/share/postgresql-%v-repmgr"

override_dh_installinit:
	dh_installinit --name=repmgrd

PGVERSIONS := $(shell pg_buildext supported-versions | tac)
override_dh_gencontrol:
	dh_gencontrol -- -Vrepmgr:Depends="$(foreach PGVERSION,$(PGVERSIONS),postgresql-$(PGVERSION)-repmgr |)"

%:
	dh $@ --with pgxs

## repmgr 5.5.0%2Bdebpgdg

=== debian/changelog ===
repmgr (5.5.0+debpgdg-3.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * Changes applied by generate-pgdg-source:
    + Add libedit-dev dependency

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 10 Oct 2025 09:24:57 +0200

repmgr (5.5.0+debpgdg-3) unstable; urgency=medium

  * Build-Depend on postgresql-all. (Closes: #1117700)

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 09:24:57 +0200

repmgr (5.5.0+debpgdg-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117338)
  * B-D on libnuma-dev since pgxs' LIBS includes it now.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 00:01:31 +0200

repmgr (5.5.0+debpgdg-1) unstable; urgency=medium

  * New upstream version 5.5.0+debpgdg

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 02 Jan 2025 12:22:41 +0100

repmgr (5.5.0-2) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 11:42:38 +0100

repmgr (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Fri, 06 Dec 2024 15:05:28 +0100

## repmgr 5.5.0+debpgdg

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 flex,
 libcurl4-openssl-dev,
 libedit-dev,
 libjson-c-dev,
 libkrb5-dev,
 liblz4-dev,
 libpam-dev,
 libnuma-dev [linux-any],
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libxml2-dev,
 libxslt1-dev,
 libzstd-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://www.repmgr.org/
Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 lsb-base,
 postgresql-common,
 ${misc:Depends},
Breaks:
 ${postgresql:Breaks},
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 ${misc:Depends},
 ${repmgr:Depends},
Breaks:
 ${postgresql:Breaks},
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-18-repmgr
Architecture: any
Depends:
 repmgr-common (>= ${source:Version}),
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 rsync,
Breaks:
 ${postgresql:Breaks},
Description: replication manager for PostgreSQL 18
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 18.

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/EnterpriseDB/repmgr/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
